package main

/*
	this parses the command line arguements
*/

import (
	"go.wit.com/dev/alexflint/arg"
)

var argv args

type args struct {
	RepoPath string `arg:"--repo" default:"./"             help:"path to the .git repo"`
	Hostname string `arg:"--hostname"                      help:"hostname to use"`
	Refs     bool   `arg:"--refs"                          help:"list the git ref hashes"`
}

func (args) Version() string {
	return "going2git " + VERSION + "   Built on " + BUILDTIME
}

func init() {
	arg.MustParse(&argv)
}

func (a args) Description() string {
	return `
This is a demo of git2go to show how it works.

Actually, I don't know how to use libgit2 or git2go yet so really this is just
an example of how to compile something against it.
`
}
